vim.opt.nu = true
vim.opt.relativenumber = true

vim.opt.tabstop = 4
vim.opt.softtabstop = 4
vim.opt.shiftwidth = 4
vim.opt.laststatus = 3
vim.opt.expandtab = true
vim.opt.hlsearch = false
vim.opt.incsearch = true

vim.opt.smartindent = true
vim.opt.wrap = true

vim.opt.clipboard = "unnamedplus"
--  vim.opt.signcolumn = "number"
vim.opt.signcolumn = "yes"

vim.opt.termguicolors = true
vim.opt.cursorline = true
vim.opt.colorcolumn= "100"

vim.o.foldcolumn = '1' -- '0' is not bad
vim.o.foldlevel = 99 -- Using ufo provider need a large value, feel free to decrease the value
vim.o.foldlevelstart = 99
vim.o.foldenable = true

-- vim.opt.foldenable = true
-- vim.opt.foldmethod = "indent"

vim.filetype.add({
    extension = {
        mdx = 'mdx'
    }
})
